Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Name_Binding Class Reference

Maintains a mapping from name to value and type. More...

`#include <Name_Space.h>`

Collaboration diagram for ACE_Name_Binding:

[legend]
List of all members.

## Public Methods
| ACE_Name_Binding (const ACE_NS_WString &n, const ACE_NS_WString &v, const char *t)
| Main constructor that initializes all the fields. More...
| ACE_Name_Binding (void)
| Default constructor. More...
| ACE_Name_Binding (const ACE_Name_Binding &)
| Copy constructor. More...
void | operator= (const ACE_Name_Binding &)
| Assignment operator. More...
| ~ACE_Name_Binding (void)
| Destructor. More...
int | operator== (const ACE_Name_Binding &s) const
| Test for equality. More...
## Public Attributes
ACE_NS_WString | name_
| Name of the binding. More...
ACE_NS_WString | value_
| Value of the binding. More...
char * | type_
| Type of the binding. More...

## Detailed Description

Maintains a mapping from name to value and type.

## Constructor & Destructor Documentation

ACE_Name_Binding::ACE_Name_Binding | ( | const ACE_NS_WString & | name,
|  | const ACE_NS_WString & | value,
|  | const char * | type
| ) |

| Main constructor that initializes all the fields.

ACE_Name_Binding::ACE_Name_Binding | ( | void |  | ) |

| Default constructor.

ACE_Name_Binding::ACE_Name_Binding | ( | const ACE_Name_Binding & | s | ) |

| Copy constructor.

ACE_Name_Binding::~ACE_Name_Binding | ( | void |  | ) |

| Destructor.

## Member Function Documentation

void ACE_Name_Binding::operator= | ( | const ACE_Name_Binding & | s | ) |

| Assignment operator.

int ACE_Name_Binding::operator== | ( | const ACE_Name_Binding & | s | ) | const

| Test for equality.

## Member Data Documentation

ACE_NS_WString ACE_Name_Binding::name_

| Name of the binding.

char* ACE_Name_Binding::type_

| Type of the binding.

ACE_NS_WString ACE_Name_Binding::value_

| Value of the binding.

The documentation for this class was generated from the following files:

- Name_Space.h
- Name_Space.cpp